Subject: bug#78923: 31.0.50; recent gnulib update broke build on OSX 15.5

From: Liam Stitt <[email-masked]>
Date: Sun, 29 Jun 2025 03:26:43 -0600

Hi. As of the recent gnulib update, building on Sequoia yields:

open.c:145:11: error: use of undeclared identifier 'HAVE_WORKING_O_DIRECTORY'
  145 |      || (!HAVE_WORKING_O_DIRECTORY && flags & O_DIRECTORY));
      |           ^